classification
Title: Move from distutils.sysconfig to sysconfig in test_osx_env
Type: Stage: resolved
Components: macOS, Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, ned.deily, ronaldoussoren, tarek
Priority: normal Keywords: patch

Created on 2011-03-01 19:08 by eric.araujo, last changed 2011-03-07 09:22 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
remove-distutils.sysconfig-traces.diff eric.araujo, 2011-03-01 19:08 review
Messages (7)
msg129795 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-01 19:08
I’m working on removing uses of distutils from the standard library.  I found only one remaining use of distutils.sysconfig; changing it to use sysconfig should not change the behavior of the test, but I can’t test, so please review attached patch.
msg129796 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-01 19:09
(I thought auto-nosy was set for Mac.)
msg129799 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-01 20:09
LGTM
msg129800 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-01 20:19
Thanks for reviewing.  Have you had time to test it or shall I just commit and wait for the buildbots master to come at me with a big knife if I break them?
msg129802 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-01 20:29
Go for it. It's highly unlikely to break anything but, if so, redirect the knives my way. I verified that the results from the two sysconfigs are the same. I don't know that there are any buildbots that currently build a framework configuration anyway.
msg129839 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-02 00:34
Thank you.  Committed in r88707, not candidate for backport.  Will close after a day or two without anyone complaining.
msg130244 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-07 09:22
I haven’t seen any pitchfork-brandishing in my inbox, so I’m closing this.
History
Date User Action Args
2011-03-07 09:22:56eric.araujosetstatus: pending -> closed
nosy: ronaldoussoren, tarek, ned.deily, eric.araujo
messages: + msg130244
2011-03-02 00:34:42eric.araujosetstatus: open -> pending
nosy: ronaldoussoren, tarek, ned.deily, eric.araujo
messages: + msg129839

resolution: fixed
stage: commit review -> resolved
2011-03-01 20:29:11ned.deilysetnosy: ronaldoussoren, tarek, ned.deily, eric.araujo
messages: + msg129802
2011-03-01 20:19:03eric.araujosetnosy: ronaldoussoren, tarek, ned.deily, eric.araujo
messages: + msg129800
2011-03-01 20:09:08ned.deilysetnosy: ronaldoussoren, tarek, ned.deily, eric.araujo
messages: + msg129799
2011-03-01 19:09:27eric.araujosetnosy: + ronaldoussoren, ned.deily
messages: + msg129796
2011-03-01 19:08:12eric.araujocreate